Package org.springframework.security.config.annotation.web

# Interface WebSecurityConfigurer<T extends SecurityBuilder<jakarta.servlet.Filter>>

All Superinterfaces:
  `SecurityConfigurer<jakarta.servlet.Filter,T>`

public interface WebSecurityConfigurer<T extends SecurityBuilder<jakarta.servlet.Filter>> extends SecurityConfigurer<jakarta.servlet.Filter,T>
Allows customization to the `WebSecurity`. In most instances users will use `EnableWebSecurity` and create a `Configuration` that exposes a `SecurityFilterChain` bean. This will automatically be applied to the `WebSecurity` by the `EnableWebSecurity` annotation.

Since:
  3.2
See Also:
  - `SecurityFilterChain`

## Method Summary

### Methods inherited from interface org.springframework.security.config.annotation.SecurityConfigurer

`configure, init`